Subject: emacs.pdmp file name (--fingerprint)

From: Thomas Klausner <[email-masked]>
Date: Sat, 16 Oct 2021 09:07:12 +0200

Severity: wishlist

Hi!

Recently, in git head, the default name for the emacs.pdmp file
changed to emacs-someverylonghexstring.pdmp (I think in commit
e81f1faca4382ed5c8f15fec84fb7c900a5468f9).

I don't know why this is preferred to the simple emacs.pdmp that was
there before. I do not see a rationale in the commit messsage.

I'm sending this mail because this filename causes problems for
packagers who prefer maintaining static file lists to make sure
exactly a known list of files is installed by a program.

Can you explain why this was changed?

Can it perhaps be changed back? Or is there an option to not use it?

Thanks,
 Thomas